summaryrefslogtreecommitdiffstats
path: root/Reaktor/reaktor/commands/tell-on_privmsg
diff options
context:
space:
mode:
Diffstat (limited to 'Reaktor/reaktor/commands/tell-on_privmsg')
-rwxr-xr-xReaktor/reaktor/commands/tell-on_privmsg17
1 files changed, 17 insertions, 0 deletions
diff --git a/Reaktor/reaktor/commands/tell-on_privmsg b/Reaktor/reaktor/commands/tell-on_privmsg
new file mode 100755
index 00000000..5d0aff41
--- /dev/null
+++ b/Reaktor/reaktor/commands/tell-on_privmsg
@@ -0,0 +1,17 @@
+#! /bin/sh
+set -euf
+
+# require flock from util-linux
+if test "${FLOCK-}" != "$state_file"; then
+ exec env FLOCK="$state_file" flock "$state_file" "$0" "$@"
+fi
+
+from="$_prefix"
+to="$1"; shift
+msg="$*"
+date=$(date)
+
+# TODO tell now, if already joined
+printf '%s %s <%s> %s\n' "$to" "$from" "$date" "$msg" >> "$state_file"
+
+echo 'Consider it noted.' # that's what lambdabot says...